Subject: bug#31704: fixed commit not handle eshell-path-env properly in Windows platform

From: Michael Albinus <[email-masked]>
Date: Wed, 25 Jul 2018 11:03:27 +0200

fangtao0901 <[email-masked]> writes:

> Hi, Michael

Hi,

>   I'm using git master branch daily build emacs on Windows platform,
> after this commit to fix bug#31704, running commands directly in
> eshell always gives output "command not found".
>   The cause of this is in lisp/net/tramp.el, function
> tramp-eshell-directory-change modify eshell-path-env not properly:
>   (mapconcat 'identity (butlast (tramp-compat-exec-path)) ":")
>   I think variable path-separator should be used instead of ":"

I confirm the problem. However, your proposal doesn't fix it for me.

Are you sure this is a new problem? I've tried Emacs 26.1 on MS Windows,
and I get a similar error.

> Best regards,

Best regards, Michael.